[21.04 FEAT] NVMe stand-alone dump support

Bug #1887940 reported by bugproxy
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
Fix Released
High
Skipper Bug Screeners
linux (Ubuntu)
Fix Released
Undecided
Skipper Bug Screeners

Bug Description

Once the system can IPL from an NVMe device it makes sense to support stand-alone dump to the NVMe device as well.
The support is likely to be similar to the SCSI stand-alone dumper, the first few mega-bytes need to be saved into the HSA and a specialized dump kernel for

Feature will contribute to kernel >= 5.9

bugproxy (bugproxy)
tags: added: architecture-s39064 bugnameltc-185130 severity-high targetmilestone-inin2010
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → linux (Ubuntu)
Revision history for this message
Frank Heimes (fheimes) wrote :

Changing to Incomplete until code got upstream released (and potential backport was made available, in case cherry-pick is not possible).
Please notice that this can be very tight in time for groovy, since you mentioned that the code will land in "kernel >= 5.9".

Changed in ubuntu-z-systems:
status: New → Incomplete
importance: Undecided → High
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
summary: - [20.10 FEAT] NVMe stand-alone dump support
+ [21.04 FEAT] NVMe stand-alone dump support
Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2020-09-08 05:48 EDT-------
Feature request moved to 21.04, will not make it in time for 20.10

tags: added: targetmilestone-inin2104
removed: targetmilestone-inin2010
Frank Heimes (fheimes)
Changed in linux (Ubuntu):
status: New → Incomplete
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2021-02-11 03:22 EDT-------
Feature available with kernel 5.10!

Revision history for this message
Frank Heimes (fheimes) wrote :

Since kernel 5.10 landed in hirsute-proposed:
linux-generic | 5.10.0.14.16 | hirsute-proposed
I'm updating this ticket to Fix Committed.

Changed in linux (Ubuntu):
status: Incomplete → Fix Committed
Changed in ubuntu-z-systems:
status: Incomplete → Fix Committed
Revision history for this message
Frank Heimes (fheimes) wrote :

Now that kernel 5.10 landed in hirsute's release pocket:
linux-generic | 5.10.0.14.16 | hirsute
this ticket is completed, hence the status is updated to 'Fix Released".

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2021-02-22 03:23 EDT-------
IBM Bugzilla status->closed, Fix Released with hirsuite

Frank Heimes (fheimes)
information type: Private → Public
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers